$navbar-height: 50px;

::-webkit-input-placeholder{
    color: rgba(#fff,  0.3)
}

.navbar {
    background-color: $primary-color;
    color: $primary-font-color;
    height: $navbar-height;
    position: static;
    top: 0px;
    padding: 0px 15px 0px 4px;
    overflow: hidden;
    @include box-sizing(border-box);

    input.nav-input {
        background-color: transparent;
        border: 0;
        height: 30px;
        border-bottom: solid 1px white;
        width: 55%;
        outline: 0;
        line-height: 30px;
        font-size: 24px;
        color: white;
        margin: 10px;
        display: inline-block;
        margin-right: -45px;
        transition: 500ms ease;
        &.hide {
            opacity: 0;
            width:0px;
        }
    }

    a.nav-btn {
        color: $primary-font-color;
        padding: 9px;
        display: inline-block;

        &:hover {
            background-color: lighten( $primary-color, 10%);
        }
        &:active {
            background-color: lighten( $primary-color, 20%);            
        }

        .mdi {
            font-size: 32px;
        }
    }
}

.bar-line-container {
    padding: 4px;

    %bar-line-base {
        height: 3px;
        width: 26px;
        background-color: $primary-font-color;
        margin: 4px 0;
        @include border-radius(2px);
        @include transition(all 500ms ease);
        @include opacity(1);
    }

    .bar-line-1, .bar-line-2, .bar-line-3 {
        @extend %bar-line-base;
    }

    &.active {
        .bar-line-2 {
            @include opacity(0)
        }
        .bar-line-1 {
            @include transform(translateY(7px) rotate(45deg)) ;
        }
        .bar-line-3 {
            @include transform(translateY(-7px) rotate(-45deg)) ;
        }

    }
}